<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Welcome to Aura!</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: 'Arial', sans-serif;
            background-color: rgba(252, 246, 238, 0.39); /* Light beige background */
            color: #1F1D1F; /* Dark purple text color */
            line-height: 1.6;
        }
        .email-body {
            max-width: 600px;
            margin: 40px auto;
            padding: 20px;
            background-color: #fcf8f2; /* Light beige background */
            border-radius: 15px;
            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.1);
        }
        .email-content {
            padding: 40px;
            background-color: #fffaf2; /* Light beige background */
            border-radius: 15px;
            text-align: center;
            border: 1px solid #D4B8D9; /* Light purple border */
            position: relative;
        }
        .email-header img {
            max-height: 100px; /* Adjust logo size as needed */
            margin-bottom: 20px;
        }
        h1 {
            color: #1F1D1F; /* Dark purple heading */
            font-weight: bold;
            font-size: 32px;
            margin-bottom: 20px;
        }
        p {
            color: #1F1D1F; /* Dark purple text */
            margin: 10px 0 20px;
            font-size: 16px;
        }
        .activation-code {
            font-size: 24px;
            color: #1F1D1F; /* Dark purple text */
            background-color: #FFFFFF; /* White background */
            padding: 20px;
            border-radius: 10px;
            display: block;
            margin: 20px auto;
            border: 2px dashed #1F1D1F; /* Dark purple dashed border */
            font-weight: bold;
            text-align: center;
        }
        .button {
            background-color: #ffffff; /* Light purple button */
            color: #FFFFFF; /* White text */
            text-decoration: none;
            padding: 15px 30px;
            border-radius: 30px;
            display: inline-block;
            font-size: 18px;
            transition: all 0.3s ease;
            margin: 20px 10px; /* Adjust button margins */
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Soft shadow */
            border: none;
            cursor: pointer;
            text-align: center;
        }
        .button:hover {
            background-color: #181718; /* Darker purple on hover */
            box-shadow: 0 6px 12px rgba(0, 0, 0, 0.5); /* Darker shadow on hover */
        }
        .support-text {
            font-size: 14px;
            margin-top: 20px;
            color: #1F1D1F; /* Dark purple text */
        }
        .footer-text {
            position: absolute;
            bottom: -40px; /* Adjust as needed */
            left: 0;
            width: 100%;
            font-size: 12px;
            color: #1F1D1F; /* Dark purple text */
        }
    </style>
</head>
<body>
    <div class="email-body">
        <div class="email-content">
            <img src="https://thebrokery.com/wp-content/uploads/2023/08/aura-logo-2.png" alt="Aura Logo" style="max-height: 100px;" class="email-header">
            <h1>Welcome to Aura!</h1>
            <p>Dear {{ user.full_name }},</p>
            <p>We're thrilled to have you join our beauty community. To begin your journey, please activate your account with the code below:</p>
            <div class="activation-code">{{ activate_code }}</div>
            <p class="support-text">If you have any questions, please <a href="mailto:beautifulbeautyuz@gmail.com" class="support-button">contact our support team</a>.</p>
        </div>
        <p class="footer-text">You're receiving this email because you signed up for Aura.</p>
    </div>
</body>
</html>
